package com.clx.performance.service.impl.settle;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.dao.settle.NetworkDriverAccountDao;
import com.clx.performance.param.pc.PageNetworkAccountListParam;
import com.clx.performance.service.settle.NetworkDriverAccountService;
import com.clx.performance.vo.pc.NetworkDriverAccountVO;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * @author kavin
 * Date 2023-12-19
 * Time 11:34
 */
@Service
@AllArgsConstructor
public class NetworkDriverAccountServiceImpl implements NetworkDriverAccountService {

    private final NetworkDriverAccountDao networkDriverAccountDao;

    @Override
    public IPage<NetworkDriverAccountVO> networkAccountList(PageNetworkAccountListParam param) {
        return networkDriverAccountDao.networkAccountList(param);
    }
}
